#!/usr/bin/env python

from distutils.core import setup
import os

"""
easyinstall
-----------
tested: 0.6c3 (xubuntu)
status: unused

reason #1: packages (rpm,deb,tgz) req. a easyinstall(ation)
reason #2: flaky install_requires

note: easyinstall may be used to create python eggs,
      uncomment the three lines below and run 'python setup.py bdist_egg'

import ez_setup
ez_setup.use_setuptools()
from setuptools import setup
"""

import glob,sys
from clive.verinfo import *


data_files = [
  ('man/man1', ['man/clive.1.gz'])
]

classifiers = [
  'Environment :: Console',
  'Intended Audience :: End Users/Desktop',
  'Operating System :: POSIX',
  'Operating System :: Microsoft :: Windows',
  'Programming Language :: Python',
  'License :: OSI Approved :: GNU General Public License (GPL)',
  'Natural Language :: English',
  'Topic :: Internet',
  'Topic :: Utilities'
]

setup_args = dict(
  name              = PACKAGE_NAME,
  version           = PACKAGE_VERSION,
  description       = PACKAGE_DESC,
  long_description  = PACKAGE_DESC,
  maintainer        = 'Toni Gundogdu',
  maintainer_email  = 'legatvs@gmail.com',
  url               = 'https://gna.org/projects/clive',
  license           = 'GPL',
  scripts           = [PACKAGE_SCRIPT],
  packages          = ['clive'],
  data_files        = data_files,
  classifiers       = classifiers,
  platforms         = ['Any'],
  # setuptools (easyinstall) specific
  #entry_points      = {'console_scripts':['clive = clive.cli:main']},
  #install_requires = ['pkg1>=x.x','pkg2']
)

if sys.platform == 'win32':

  try:
    import py2exe
    setup_args['console'] = [{'script' : [PACKAGE_SCRIPT]}]
  except:
    pass

  # remove man page from installation
  setup_args['data_files'] = None

setup(**setup_args)
